OGRE-Next: Ogre::LodCollapseCost Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodCollapseCost Class Referenceabstract

`#include <OgreLodCollapseCost.h>`

Inheritance diagram for Ogre::LodCollapseCost:
[legend]

## Public Member Functions
virtual | ~LodCollapseCost ()
virtual Real | computeEdgeCollapseCost (LodData *data, LodData::VertexI srci, LodData::Edge *dstEdge)=0
| Returns the collapse cost of the given edge.
virtual void | computeVertexCollapseCost (LodData *data, LodData::VertexI vertexi, Real &collapseCost, LodData::VertexI &collapseToi)
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
virtual void | initCollapseCosts (LodData *data)
| This is called after the LodInputProvider has initialized LodData.
virtual void | initVertexCollapseCost (LodData *data, LodData::VertexI vertexi)
| Called from initCollapseCosts for every edge.
virtual void | updateVertexCollapseCost (LodData *data, LodData::VertexI vertexi)
| Called when edge cost gets invalid.

## Constructor & Destructor Documentation

## ◆ ~LodCollapseCost()

virtual Ogre::LodCollapseCost::~LodCollapseCost | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ computeEdgeCollapseCost()

virtual Real Ogre::LodCollapseCost::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | srci,
|  | LodData::Edge * | dstEdge )
| pure virtual

Returns the collapse cost of the given edge.

Implemented in Ogre::LodCollapseCostCurvature, Ogre::LodCollapseCostOutside, Ogre::LodCollapseCostProfiler, and Ogre::LodCollapseCostQuadric.

## ◆ computeVertexCollapseCost()

virtual void Ogre::LodCollapseCost::computeVertexCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | vertexi,
|  | Real & | collapseCost,
|  | LodData::VertexI & | collapseToi )
| virtual

Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.

Reimplemented in Ogre::LodCollapseCostProfiler.

## ◆ initCollapseCosts()

virtual void Ogre::LodCollapseCost::initCollapseCosts | ( | LodData * | data | ) |
| virtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented in Ogre::LodCollapseCostOutside, Ogre::LodCollapseCostProfiler, and Ogre::LodCollapseCostQuadric.

## ◆ initVertexCollapseCost()

virtual void Ogre::LodCollapseCost::initVertexCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | vertexi )
| virtual

Called from initCollapseCosts for every edge.

## ◆ updateVertexCollapseCost()

virtual void Ogre::LodCollapseCost::updateVertexCollapseCost | ( | LodData * | data,
|  | LodData::VertexI | vertexi )
| virtual

Called when edge cost gets invalid.

Reimplemented in Ogre::LodCollapseCostQuadric.

The documentation for this class was generated from the following file:

- OgreLodCollapseCost.h